LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XReferenceMarksSupplier Interface Referencepublished

provides access to the reference marks within this context (i.e. More...

`import"XReferenceMarksSupplier.idl";`

Inheritance diagram for XReferenceMarksSupplier:

## Public Member Functions
com::sun::star::container::XNameAccess | getReferenceMarks ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the reference marks within this context (i.e.

document).

A reference mark is used to refer to text positions in a text document.

## Member Function Documentation

## ◆ getReferenceMarks()

com::sun::star::container::XNameAccess getReferenceMarks | ( |  | ) |

Returns
  the collection of reference marks.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XReferenceMarksSupplier.idl